alias grep {
  if ([$0]) {
    exec grep $*}}
alias ls {
  exec ls --color -C $*}
alias chmod {
  if ([$0]) {
    @chmod($1 $twiddle($0))}}
alias rm {
  if ([$*]) {
    @unlink($*)}}
alias convert {
  if ([$*]) {
    ^local aa $convert($*)
    unless (aa) {
      ge could not resolve $*} else {
      ge $* is $aa}}}
alias mkdir {
  if ([$*]) {
    @mkdir($*)}}
alias rmdir {
  if ([$*]) {
    @rmdir($*)}}
alias more {
  if (fexist($remw(-r  $*))==1) {
    less_pipe blah ${[$0]==[-r]?[tac $1]:[cat $0]}} else {
    ge $remw(-r $*) does not exist.}}
alias less more $*
alias uname {
  exec $0- uname -a}
alias bxmem {
  exec ${[$0]==[-o]?[-o]:} ps -ux | grep $pid() | head -1}
